# Get Purchase Order Approval Status by Id of Purchase Order

Endpoint: GET /purchaseOrders/{id}/approvalStatus
Version: v3.0: 3.30.0
Security: Auth API User Token

## Path parameters:

  - `id` (string, required)
    Id of Purchase Order

## Response 200 fields (application/json):

  - `currentTier` (integer | null)

  - `approvalStatuses` (array | null)

  - `approvalStatuses.status` (string | null)

  - `approvalStatuses.dateTime` (string | null)

  - `approvalStatuses.notes` (string | null)

  - `approvalStatuses.type` (string | null)

  - `approvalStatuses.tier` (integer | null)

  - `approvalStatuses.userID` (string | null)

## Response 500 fields (application/json):

  - `message` (string | null)

  - `errors` (array | null)

  - `errors.message` (string | null)

  - `errors.extensions` (string | null)

